Loading...
Searching...
No Matches
Halide::Internal::Test::Sharder Class Reference

`#include <test_sharding.h>`

## Public Member Functions

| Sharder ()
bool | should_run (size_t task_index) const
bool | is_sharded () const

## Static Public Member Functions

static void | accept_sharded_status ()

## Detailed Description

Definition at line 29 of file test_sharding.h.

## Constructor & Destructor Documentation

## Sharder()

Halide::Internal::Test::Sharder::Sharder | ( |  | ) |

inline explicit

Definition at line 59 of file test_sharding.h.

References accept_sharded_status().

## Member Function Documentation

## accept_sharded_status()

void Halide::Internal::Test::Sharder::accept_sharded_status | ( |  | ) |

inline static

Definition at line 49 of file test_sharding.h.

Referenced by Sharder().

## should_run()

bool Halide::Internal::Test::Sharder::should_run | ( | size_t | task_index | ) | const

inline

Definition at line 72 of file test_sharding.h.

Referenced by Halide::SimdOpCheckTest::test_all().

## is_sharded()

bool Halide::Internal::Test::Sharder::is_sharded | ( |  | ) | const

inline

Definition at line 80 of file test_sharding.h.

The documentation for this class was generated from the following file:

- test/common/test_sharding.h